Package org.apache.sling.cms.core.internal.models

## Class PageInsightRequestModel

- java.lang.Object
- - org.apache.sling.cms.core.insights.impl.PageInsightRequestImpl
  - - org.apache.sling.cms.core.internal.models.PageInsightRequestModel

All Implemented Interfaces:
  `InsightRequest`, `PageInsightRequest`

    @Model(adaptables=org.apache.sling.api.resource.Resource.class,
           adapters=org.apache.sling.cms.insights.PageInsightRequest.class)
    public class PageInsightRequestModel
    extends org.apache.sling.cms.core.insights.impl.PageInsightRequestImpl

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.sling.cms.insights.InsightRequest

`InsightRequest.TYPE`

### Constructor Summary

Constructors
`PageInsightRequestModel​(org.apache.sling.api.resource.Resource resource, org.apache.sling.engine.SlingRequestProcessor requestProcessor)`

### Method Summary

### Methods inherited from class org.apache.sling.cms.core.insights.impl.PageInsightRequestImpl

`getPage, getPageBodyElement, getPageBodyHtml, getPageDocument, getPageHtml, getResource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.sling.cms.insights.PageInsightRequest

`getType`

### Constructor Detail

#### PageInsightRequestModel

    @Inject
    public PageInsightRequestModel​(org.apache.sling.api.resource.Resource resource,
                                   org.apache.sling.engine.SlingRequestProcessor requestProcessor)